Holger's Java API

## com.antelmann.util.logging
Interface LogExceptionHandler

All Known Implementing Classes:
  EmailWatcherFrame

    public interface LogExceptionHandler

A LogExceptionHandler is used to control the behavior of a Logger in regards to occuring LogException events.

Author:
  Holger Antelmann
See Also:
  `LogException`, `Logger.setExceptionHandler(LogExceptionHandler)`

Field Summary
`static LogExceptionHandler` `EXCEPTION_IGNORER` used to simply ignore exceptions thrown by a logger.

Method Summary
`void` `handleLogException(Logger logger, LogException ex, LogWriter writer)` is called when a logger encounters a LogException while the handler logs an entry.

Field Detail

### EXCEPTION_IGNORER

    static final LogExceptionHandler EXCEPTION_IGNORER

  used to simply ignore exceptions thrown by a logger. Note that the offending writer is not removed, i.e. a faulty writer is called again and again.

  See Also:
    `Logger.ignoreLogExceptions()`

Method Detail

### handleLogException

    void handleLogException(Logger logger,
                            LogException ex,
                            LogWriter writer)
                            throws LogException

  is called when a logger encounters a LogException while the handler logs an entry. This method can control whether the exception is propagated back to the Logger or ignored by the application. It is allowed to remove the given writer from the logger (or add another) if deemed appropriate during this method call.

  Throws:
    `LogException` - to propagate the exception to the caller of the logging that caused the given exception
  See Also:
    `Logger.setExceptionHandler(LogExceptionHandler)`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads